Subject: Re: Re: FVWM: pixmap borders patch

From: Tim Phipps <[email-masked]>
Date: Thu, 26 Sep 1996 16:30:44 +0100

> 
> As I said, I define a large number of icons. This takes up a large chunk
> of my .fvwmrc file. Can anybody suggest how I could remove the icon 
> definitions to another file (.icons  ?) ??   
> 
You could split you .fvwmrc into separate file and use FvwmM4/Cpp to
reassemble them at startup time.

An idea for the Fvwm hackers would be for fvwm to look for an icon in the
PixmapPath that matches the window name (or icon name) and use that by default.
That way you would only have to copy the icon you want to the appropriate file
name and fvwm would use it.

Cheers,
Tim Phipps.

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: "Charles Hines" <[email-masked]>
Date: Thu, 26 Sep 1996 11:44:39 -0400

>>>>> "Tim" == Tim Phipps <[email-masked]> writes:

>> definitions to another file (.icons  ?) ??

Tim> You could split you .fvwmrc into separate file and use FvwmM4/Cpp to
Tim> reassemble them at startup time.

Or if the extra preprocessing isn't needed, simply extract the
relevant sections to another file (.fvwm2rc.icons) and replace it with
a simple "Read .fvwm2rc.icons".

Tim> An idea for the Fvwm hackers would be for fvwm to look for an
Tim> icon in the PixmapPath that matches the window name (or icon
Tim> name) and use that by default.  That way you would only have to
Tim> copy the icon you want to the appropriate file name and fvwm
Tim> would use it.

I believe that this could be done in a module (FvwmIconChoser?)
without too much difficulty (also likely the only way it'd ever get
into fvwm).  I might have to add the ability to recapture a single
window though (which I planned to do eventually) to get it to truly
work correctly.

Chuck